## Farmmaps Documentation Overview
### The documentation is still work in progress and heavily subject to change! 
This page provides an index of the available documentation for the FarmMaps platform.  

## Getting started
The main starting point for Farmmaps API access is the REST API.
To get started, follow the steps below. The workflow and high-level architecture FarmMaps are documented on the [Farmmaps Workflow](/wiki/Workflow) and [FarmMaps Main Components](/Main-components) pages.

### Environments

At the moment, FarmMaps provides two environments for development.

* https://farmmaps.awtest.nl (testing environment, data is not persistent)
* https://farmmaps.awacc.nl (acceptation environment, data IS persistent)

When developing your application, using the **acceptation environment is highly recommended**.

### Credentials
To get access to the API, you need an akkerweb development account  (akkerweb development and farmmaps development use the same credentials). 
These can be created at:

* https://awacc.nl (for the acceptation environment)
* https://awtest.nl (for the testing environment)

### Authentication
To start uploading files, you need to authenticate to the API. The REST API uses OpenID Connect as the protocol.

[Todo: Basic explanation, based of "Authentication.md"]

## How to build a FarmMaps App
    - Accessing the API
    - Uploading a file
    - Checking the file processing status
    - Creating a crop field
    - Pushing data to MQTT



### Use-case examples
* [VRAPoten-API](/wiki/VRAPoten-API)
* [VRANbs-API](/wiki/VRANbs-API)
